Main Page Modules Data Structures File List Data Fields Globals Related Pages

# DB3.

## Files

file | db3.c
file | rpmdb.h
| Access RPM indices using Berkeley DB interface(s).

## Data Structures

struct | dbOption

## Functions

dbiIndex | db3New (rpmdb rpmdb, int rpmtag)
dbiIndex | db3Free (dbiIndex dbi)
const char *const | prDbiOpenFlags (int dbflags, int print_dbenv_flags)

## Variables

_dbiVec | db3vec
dbOption | rdbOptions []

## Function Documentation

dbiIndex db3Free | ( | dbiIndex | dbi | ) |

Destroy index database handle instance.

Parameters:

  dbi | index database handle

Returns:
  NULL always

Definition at line 316 of file dbconfig.c.

References rpmdb_s::db_errcall, and rpmdb_s::db_errpfx.

Referenced by db1close, db3close, and dbiOpen.

dbiIndex db3New | ( | rpmdb | rpmdb,
|  | int | rpmtag
| ) |

Return new configured index database handle instance.

Parameters:

  rpmdb | rpm database

Definition at line 337 of file dbconfig.c.

Referenced by db1open, and db3open.

const char* const prDbiOpenFlags | ( | int | dbflags,
|  | int | print_dbenv_flags
| ) |

Format db3 open flags for debugging print.

Parameters:

  dbflags | db open flags
  print_dbenv_flags | format db env flags instead?

Returns:
  formatted flags (static buffer)

Definition at line 522 of file dbconfig.c.

Referenced by db_init.

## Variable Documentation

struct _dbiVec db3vec

Initial value:

     {
         4 ,  0 ,  14 ,
        db3open, db3close, db3sync, db3copen, db3cclose, db3cdel, db3cget, db3cput,
        db3ccount, db3byteswapped, db3stat
    }

Definition at line 1261 of file db3.c.

struct dbOption rdbOptions[]

| Definition at line 55 of file dbconfig.c.